<div class="site-profile">
  <app-content-banner [isDashboard]="false" pageName="Site Profile" [isTutorialRequired]="true"
    [TutorialPageName]="'unit-details'"></app-content-banner>
  <mat-card class="sp-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <div fxLayout="row" class="second-header-filter">
        <span><b>Agency Name: </b> <span>{{agencyInfo.name}}</span></span>
        <span><b>Agency Address: </b>
          <span>{{agencyInfo.agencyAddress}},{{agencyInfo.city}}{{agencyInfo.state}},{{agencyInfo.zip}}</span></span>
        <span><b>Site Name: </b> <span>{{siteDemographicdata.name}}</span></span>
        <span><b>Site Address: </b>
          <span>{{siteDemographicdata.address}},{{siteDemographicdata.city}}{{siteDemographicdata.state}},{{siteDemographicdata.zip}}</span></span>
        <!--  <span><b>Site Contacts: </b><span  > {{primaryContact}}</span>    </span>-->
        <span class="item" fxLayout="row">
          <span><b>Site Contact:&nbsp; </b><span>{{primaryContact}}</span></span>
          <span fxFlex="auto"></span>
          <span (click)="onMoreContactsClick()" *ngIf="hasMorecontacts"><b><a
                style="cursor: pointer;">&nbsp;&nbsp;<u>More
                  Contacts</u></a></b></span>
        </span>

      </div>
    </mat-card-header>
    <mat-card-content class="regular-mat-form-field" *ngIf="(SelectetdSiteCategorytype === 7)">
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="tabChanged($event)">
        <mat-tab>
          <ng-template matTabLabel>
            <span>Site Demographics</span>
            <mat-icon *ngIf="siteDemographicDataTabStatus !== 2"
              [ngStyle]="{'color': siteDemographicDataTabStatus == 0 ? pendingColor : siteDemographicDataTabStatus == 1 ?  completedColor :noColor }">
              {{siteDemographicDataTabStatus == 1?'check_circle': siteDemographicDataTabStatus == 0 ? 'watch_later':
              ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-site-demographic [options]='useroptions' [siteDemographicData]='siteDemographicdata'
              [siteFeatureData]='siteFeaturedata' (siteDemographicDataChanged)='getmodifiedData($event)'
              (siteDemographicValueChanged)='checkIsSiteDataChanged($event)'></app-site-demographic>
          </ng-template>
        </mat-tab>
        <mat-tab [disabled]="!(siteDemographicDataTabStatus === 1)">
          <ng-template matTabLabel>
            <span>Site Contact</span>
            <mat-icon *ngIf="siteContactTabStatus !== 2"
              [ngStyle]="{'color': siteContactTabStatus == 0 ? pendingColor : siteContactTabStatus == 1 ? completedColor :noColor}">
              {{siteContactTabStatus == 1?'check_circle': siteContactTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-site-contact [contactsiteId]='siteId' [options]='useroptions' [contactType]='1'
              (siteContactDataChanged)='loadSiteStatus()'></app-site-contact>
          </ng-template>
        </mat-tab>
        <mat-tab [disabled]="!(siteDemographicDataTabStatus === 1) || !(siteContactTabStatus === 1) ">
          <ng-template matTabLabel>
            <span>Site Profile</span>
            <mat-icon *ngIf="sitePrimaryServiceTabStatus !== 2"
              [ngStyle]="{'color': sitePrimaryServiceTabStatus == 0 ? pendingColor : sitePrimaryServiceTabStatus == 1 ? completedColor :noColor}">
              {{sitePrimaryServiceTabStatus == 1?'check_circle': sitePrimaryServiceTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-site-agreement-detail [contactsiteId]='siteId'></app-site-agreement-detail>

          </ng-template>
        </mat-tab>
        <mat-tab
          [disabled]="!(siteDemographicDataTabStatus === 1) || !(siteContactTabStatus === 1) || !(sitePrimaryServiceTabStatus === 1)  ">
          <ng-template matTabLabel>
            <span>Unit Details</span>
            <mat-icon *ngIf="siteUnitDetailTabStatus !== 2"
              [ngStyle]="{'color': siteUnitDetailTabStatus == 0 ? pendingColor : siteUnitDetailTabStatus == 1 ? completedColor :noColor}">
              {{siteUnitDetailTabStatus == 1?'check_circle': siteUnitDetailTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-container mat-elevation-z4">
              <shared-unit-details [siteagreementPopulationId]="0" [siteID]='siteId'
                (UnitDataChanged)="loadSiteStatus()"></shared-unit-details>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Approval</span>
            <mat-icon *ngIf="siteApprovalTabStatus !== 2"
              [ngStyle]="{'color': siteApprovalTabStatus == 0 ? pendingColor : siteApprovalTabStatus == 1 ? completedColor :noColor}">
              {{siteApprovalTabStatus == 1?'check_circle': siteApprovalTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-site-approval [options]='useroptions' [siteApprovalData]='siteApprovaldata'
              (siteApprovalValueChanged)='checkIsApprovalDataChanged($event)'></app-site-approval>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
      <div fxLayoutGap="20px" flexLayout="column">
        <div fxLayout="column"><span>&nbsp;</span></div>
        <div fxLayout="column">
          <span>&nbsp;</span>
        </div>
      </div>
      <app-nav-footer
        [isSaveRequired]="(tabSelectedIndex == 0 && useroptions.isDisableForInactiveSite==false) || (tabSelectedIndex == 4 && useroptions.isIH == true) "
        [isExitRequired]="tabSelectedIndex === 4 || tabSelectedIndex === 0  "
        [isPreviousRequired]="tabSelectedIndex === 1 || tabSelectedIndex === 2 || tabSelectedIndex === 3 || tabSelectedIndex === 4"
        [isNextRequired]="tabSelectedIndex === 0 || tabSelectedIndex === 1 || tabSelectedIndex === 2 || tabSelectedIndex === 3"
        (Previousbtn)="previousPage()" (Nextbtn)="nextPage()" (Exitbtn)="exitPage()" (Savebtn)="OnSave($event)">
      </app-nav-footer>


    </mat-card-content>
    <mat-card-content class="regular-mat-form-field"
      *ngIf="(SelectetdSiteCategorytype === 5 || SelectetdSiteCategorytype === 6 )">
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabRASelectedIndex" (selectedTabChange)="tabRAChanged($event)">

        <mat-tab>
          <ng-template matTabLabel>
            <span>Site Information</span>
            <mat-icon *ngIf="siteDemographicDataTabStatus !== 2"
              [ngStyle]="{'color': siteDemographicDataTabStatus == 0 ? pendingColor : siteDemographicDataTabStatus == 1 ?  completedColor :noColor }">
              {{siteDemographicDataTabStatus == 1?'check_circle': siteDemographicDataTabStatus == 0 ? 'watch_later':
              ''}}
            </mat-icon>
          </ng-template>

          <ng-template matTabContent>
            <app-site-detail [raSiteDemographicData]='siteRADemographicdata'
              (raSiteDemographicDataChanged)='getmodifiedRAData($event)'
              (siteDetailValueChanged)='checkIsRASiteDataChanged($event)'></app-site-detail>
          </ng-template>
        </mat-tab>
        <mat-tab [disabled]="!(siteDemographicDataTabStatus === 1)">
          <ng-template matTabLabel>
            <span>Site Contact</span>
            <mat-icon *ngIf="siteContactTabStatus !== 2"
              [ngStyle]="{'color': siteContactTabStatus == 0 ? pendingColor : siteContactTabStatus == 1 ? completedColor :noColor}">
              {{siteContactTabStatus == 1?'check_circle': siteContactTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-site-contact [contactsiteId]='siteId' [options]='useroptions' [contactType]='1'
              (siteContactDataChanged)='loadSiteStatus()'></app-site-contact>
          </ng-template>
        </mat-tab>


      </mat-tab-group>
      <div fxLayoutGap="20px" flexLayout="column">
        <div fxLayout="column"><span>&nbsp;</span></div>
        <div fxLayout="column">
          <span>&nbsp;</span>
        </div>
      </div>

      <app-nav-footer [isSaveRequired]="(tabRASelectedIndex === 0 ) "
        [isExitRequired]="tabRASelectedIndex === 0 || tabRASelectedIndex === 1 "
        [isPreviousRequired]="tabRASelectedIndex === 1" [isNextRequired]="tabRASelectedIndex === 0"
        (Exitbtn)="exitRAPage()" (Savebtn)="OnRASave($event)" (Previousbtn)="previousRAPage()" (Nextbtn)="nextRAPage()">
      </app-nav-footer>
    </mat-card-content>
  </mat-card>
</div>